import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { environment } from 'src/environments/environment';
import { Log } from 'src/app/models/log';

@Injectable({
  providedIn: 'root'
})
export class LogService {
  url = environment.url;

  constructor(private httpClient: HttpClient) { }

  getLogs(): Observable<Log[]> {
    return this.httpClient.get<Log[]>(this.url + '/Log/getLogs');
  }
}
